<?php
header('content-type: application/json; charset=utf-8');
//en caso de json en vez de jsonp habría que habilitar CORS:
header("access-control-allow-origin: *");


date_default_timezone_set("America/Caracas");
$fecha_actual=strftime( "%Y-%m-%d %H:%M:%S", time());
session_start();
require('config/conexion.php');


function convertirFechaHoraNumerico($fechaHora) {
    // Convertir la fecha y hora en formato %Y-%m-%d %H:%M:%S a formato numérico YmdHis
    $fechaNumerica = str_replace(['-', ' ', ':'], '', $fechaHora);
    return $fechaNumerica;
}

$tiempo_actual = convertirFechaHoraNumerico($fecha_actual);

if (isset($_SESSION['usuario'])) {
}else{
    header('Location: ../index.php');
    exit();
}


$ip_obtenida = $_POST['ip'];

$consulta2 = "SELECT * FROM tabla_clientes where ip ='$ip_obtenida'";
$resultado2 = mysqli_query($conexion, $consulta2) or die("Algo ha ido mal en la consulta a la base de datos");

$arr = array(); // Asegúrate de inicializar el array para evitar errores si no hay registros
if (mysqli_num_rows($resultado2) > 0) {
    while ($obj2 = mysqli_fetch_object($resultado2)) {
        $arr[] = array(
            'ip' => $obj2->ip,
            'url_imagen2' => $obj2->url_imagen2,
            
          
        );
    }
}

echo json_encode($arr);
?>
